Creating new WP site - Oops Something went wrong!

Hi guys,

I’ve searched high and low and can’t seem to figure this one out. I have an existing Ubuntu 14.04 server with LEMP stack and a couple of sites already working. I’ve installed EE as would like to start using it. I’ve fixed a couple of errors but am now stuck and haven’t been able to find a solution.

I have manually create the following file:

/etc/mysql/conf.d/my.cnf

So can now log in to mysql using just “mysql”. But the setup still fails on the part where it sets up the database. First I run:

ee site create newsite.com --wp --letsencrypt --w3tc

and I get:

Running pre-update checks, please wait...
Setting up NGINX configuration  [Done]
Setting up webroot              [Done]
Downloading WordPress           [Done]
Setting up database             Oops Something went wrong !!
Calling cleanup actions ...
'ee_mysql_grant_host'

The ee.log output reads:

Command Error:
2016-02-23 14:20:46,683 (INFO) ee : [Done]
2016-02-23 14:20:46,683 (DEBUG) ee : Autofix MySQL username (ERROR 1470 (HY000)), please wait
2016-02-23 14:20:46,683 (INFO) ee : Setting up database
2016-02-23 14:20:46,683 (DEBUG) ee : Creating database newsite_com
2016-02-23 14:20:46,684 (DEBUG) ee :
2016-02-23 14:20:46,684 (DEBUG) ee : 'MySQL Connectivity problem occured'
2016-02-23 14:20:46,684 (INFO) ee : Oops Something went wrong !!
2016-02-23 14:20:46,684 (INFO) ee : Calling cleanup actions ...

I’ve searched around for ages but have completely ran out of ideas. The same error keeps happening over and over again no matter what I try. Please help!

Thanks!

Why did you create /etc/mysql/conf.d/my.cnf? How do you know what’s the correct root password?

Anyways, you should never install EE on an existing server with existing sites. It works better (and kinda flawlessly) on a brand new server, with nothing but minimum Ubuntu 14.04 installed.

1 Like

I agree with janiosarmento, also you may want to look into to docker

1: http://www.docker.com/ you can build multiple applications on one server and use EE no problem, old or new servers… Digital Ocean has great hosting prices

Hi friend, see if that solves your problem!

After several attempts, I researched a lot and managed to take a step to solve my problem, ubunto server 14.04 / EasyEngine v3.7.4 [email protected]:~# sudo su [email protected]:~# wp cli update --allow-root [email protected]:~# ee update [email protected]:~# ee stack purge [email protected]:~# ee stack install

I’m working with the following system versions, the above solution worked for me. ***Ubuntu Distributor ID: Ubuntu Description: Ubuntu 14.04.5 LTS Release: 14.04 Codename: trusty

***EasyEngine EasyEngine v3.7.4 Copyright © 2016 rtCamp Solutions Pvt. Ltd.

2 Likes

I tried all the solutions here in the forum. Only this one solved, thank you, my friend.

1 Like